%define fw_version 5.24

Summary:	KDE Frameworks 5 spell checking module
Name:		sonnet
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Url:		https://www.kde.org/
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
# Disabled in 5.6.x
#BuildRequires:	pkgconfig(enchant)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
# Force ASpell backend, it seems to be the most useful
Requires:	%{name}-aspell

%description
Sonnet is a plugin-based spell checking library for Qt-based applications.
It supports several different plugins, including ASpell, Enchant, HSpell
and Hunspell.

It also supports automated language detection, based on a combination of
different algorithms.

%files
%{_kde5_bindir}/parsetrigrams
%dir %{_kde5_datadir}/kf5/sonnet/
%{_kde5_datadir}/kf5/sonnet/*

#----------------------------------------------------------------------------

%package aspell
Summary:	ASpell backend for the Sonnet spell checking library
Group:		Graphical desktop/KDE
Provides:	sonnet-backend = %{EVRD}
BuildRequires:	aspell-devel
Requires:	aspell
Requires:	%{name}

%description aspell
ASpell backend for the Sonnet spell checking library.

%files aspell
%{_kde5_plugindir}/sonnet/aspell.so

#----------------------------------------------------------------------------

%package hspell
Summary:	HSpell backend for the Sonnet spell checking library
Group:		Graphical desktop/KDE
Provides:	sonnet-backend = %{EVRD}
BuildRequires:	hspell-devel
Requires:	hspell
Requires:	%{name}

%description hspell
HSpell backend for the Sonnet spell checking library.

%files hspell
%{_kde5_plugindir}/sonnet/hspell.so

#----------------------------------------------------------------------------

%package hunspell
Summary:	Hunspell backend for the Sonnet spell checking library
Group:		Graphical desktop/KDE
Provides:	sonnet-backend = %{EVRD}
BuildRequires:	pkgconfig(hunspell)
Requires:	hunspell
Requires:	%{name}

%description hunspell
Hunspell backend for the Sonnet spell checking library.

%files hunspell
%{_kde5_plugindir}/sonnet/hunspell.so

#----------------------------------------------------------------------------

%package i18n
Summary:	Sonnet translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Sonnet translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5sonnetcore_major 5
%define libkf5sonnetcore %mklibname kf5sonnetcore %{kf5sonnetcore_major}

%package -n %{libkf5sonnetcore}
Summary:	KDE Frameworks 5 spell checking shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5sonnetcore}
KDE Frameworks 5 spell checking shared library.

%files -n %{libkf5sonnetcore}
%{_kde5_libdir}/libKF5SonnetCore.so.%{kf5sonnetcore_major}*

#----------------------------------------------------------------------------

%define kf5sonnetui_major 5
%define libkf5sonnetui %mklibname kf5sonnetui %{kf5sonnetui_major}

%package -n %{libkf5sonnetui}
Summary:	KDE Frameworks 5 spell checking shared library
Group:		System/Libraries

%description -n %{libkf5sonnetui}
KDE Frameworks 5 spell checking shared library.

%files -n %{libkf5sonnetui}
%{_kde5_libdir}/libKF5SonnetUi.so.%{kf5sonnetui_major}*

#----------------------------------------------------------------------------

%define devkf5sonnet %mklibname kf5sonnet -d

%package -n %{devkf5sonnet}
Summary:	Development files for KDE Frameworks 5 Sonnet
Group:		Development/KDE and Qt
Requires:	%{libkf5sonnetcore} = %{EVRD}
Requires:	%{libkf5sonnetui} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5sonnet-devel = %{version}

%description -n %{devkf5sonnet}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5sonnet}
%{_kde5_includedir}/KF5/SonnetCore
%{_kde5_includedir}/KF5/SonnetUi
%{_kde5_includedir}/KF5/sonnet_version.h
%{_kde5_libdir}/cmake/KF5Sonnet
%{_kde5_libdir}/libKF5SonnetCore.so
%{_kde5_libdir}/libKF5SonnetUi.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (1ad502d) New version 5.24.0


